<?php

namespace Litecms\Payment\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class PaymentTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Payment\Models\Payment $payment)
    {
        return [
            'id'                => $payment->getRouteKey(),
            'key'               => [
                'public'    => $payment->getPublicKey(),
                'route'     => $payment->getRouteKey(),
            ], 
            'id'                => $payment->id,
            'user_id'           => $payment->user_id,
            'user_type'         => $payment->user_type,
            'payment_method'    => $payment->payment_method,
            'payment_details'   => $payment->payment_details,
            'amount'            => $payment->amount,
            'payment_date'      => $payment->payment_date,
            'created_at'        => $payment->created_at,
            'updated_at'        => $payment->updated_at,
            'deleted_at'        => $payment->deleted_at,
            'url'               => [
                'public'    => trans_url('payment/'.$payment->getPublicKey()),
                'user'      => guard_url('payment/payment/'.$payment->getRouteKey()),
            ], 
            'status'            => trans('app.'.$payment->status),
            'created_at'        => format_date($payment->created_at),
            'updated_at'        => format_date($payment->updated_at),
        ];
    }
}